import type { XhrGet } from './index';
/**
 * @params {String} params.id
 * @params {Promise} params.xhr
 * @params {Number} params.duration, in ms
 */
export default function <T>(params: {
    id: string;
    xhr?: () => XhrGet<T>;
    duration?: number | 'max' | null;
}): XhrGet<T>;
export declare function cacheSize(): number;
export declare function cacheIds(): string[];
export declare function clearCache(id?: string): void;
